Macros
libcdr_utils.cpp File Reference
`#include "libcdr_utils.h"`
`#include <cassert>`
`#include <cstdarg>`
`#include <cstdio>`
`#include <string.h>`
`#include <unicode/ucsdet.h>`
`#include <unicode/ucnv.h>`
`#include <unicode/utypes.h>`
`#include <unicode/utf8.h>`

## Macros
#define | CDR_NUM_ELEMENTS(array) sizeof(array)/sizeof(array[0])
#define | SURROGATE_VALUE(h, l) (((h) - 0xd800) * 0x400 + (l) - 0xdc00 + 0x10000)

## Macro Definition Documentation

## ◆ CDR_NUM_ELEMENTS

#define CDR_NUM_ELEMENTS | ( |  | array | ) | sizeof(array)/sizeof(array[0])

## ◆ SURROGATE_VALUE

#define SURROGATE_VALUE | ( |  | h,
|  |  | l
| ) |  | (((h) - 0xd800) * 0x400 + (l) - 0xdc00 + 0x10000)